/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * 
 * @export
 * @interface HandleValueDto
 */
export interface HandleValueDto {
    /**
     * 
     * @type {number}
     * @memberof HandleValueDto
     */
    'idx'?: number;
    /**
     * 
     * @type {string}
     * @memberof HandleValueDto
     */
    'type'?: string;
    /**
     * 
     * @type {any}
     * @memberof HandleValueDto
     */
    'parsed_data'?: any;
    /**
     * 
     * @type {string}
     * @memberof HandleValueDto
     */
    'data'?: string;
    /**
     * 
     * @type {string}
     * @memberof HandleValueDto
     */
    'timestamp'?: string;
    /**
     * 
     * @type {number}
     * @memberof HandleValueDto
     */
    'ttl_type'?: number;
    /**
     * 
     * @type {number}
     * @memberof HandleValueDto
     */
    'ttl'?: number;
    /**
     * 
     * @type {Array<any>}
     * @memberof HandleValueDto
     */
    'refs'?: Array<any>;
    /**
     * 
     * @type {string}
     * @memberof HandleValueDto
     */
    'privs'?: string;
}

